
all:  test32 test32_cvt test32_modrm test64

test32: test32.asm
	nasm -fbin $<
	
test32_cvt: test32_cvt.asm
	nasm -fbin $<
	
test32_modrm: test32_modrm.asm
	nasm -fbin $<
	
test64: test64.asm
	yasm -fbin $<
	
clean:
	rm -f test32 test32_cvt test32_modrm test64
